#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  Freeglut-3.6.0

- Next

  GLEW-2.2.0

- Up
- Home

# gdk-pixbuf-2.42.12

## Introduction to Gdk Pixbuf

The Gdk Pixbuf package is a toolkit for image loading and pixel buffer manipulation. It is used by GTK+ 3 to load and manipulate images. In the past it was distributed as part of GTK+ 2, but it was split off into a separate package in preparation for the change to GTK+ 3.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gdk-pixbuf/2.42/gdk-pixbuf-2.42.12.tar.xz

- Download MD5 sum: f986fdbba5ec6233c96f8b6535811780

- Download size: 6.2 MB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### Gdk Pixbuf Dependencies

#### Required

GLib-2.82.5 (GObject Introspection required for GNOME), libjpeg-turbo-3.0.1, libpng-1.6.46, and shared-mime-info-2.4

#### Recommended

docutils-0.21.2, librsvg-2.59.2 (runtime dependency, needed for loading symbolic icons) and libtiff-4.7.0

#### Optional

Gi-DocGen-2025.3 (to generate documentation), libavif-1.2.0 (runtime dependency, needed for loading AVIF images), libjxl-0.11.1 (runtime dependency, needed for loading JPEG XL images), and webp-pixbuf-loader-0.2.7 (runtime dependency, needed for loading WebP images)

## Installation of Gdk Pixbuf

Install Gdk Pixbuf by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D others=enabled   \
          --wrap-mode=nofallback &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@ / 'gdk-pixbuf-2.42.12'@" -i ../docs/meson.build &&
    meson configure -D gtk_doc=true                                        &&
    ninja

To test the results, issue: ninja test. The tests make a heavy use of disk.

Now, as the `root` user:

    ninja install

### Note

If you installed the package on to your system using a “DESTDIR” method, an important file was not installed and should be copied and/or generated. Generate it using the following command as the `root` user:

    gdk-pixbuf-query-loaders --update-cache

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nofallback`: This switch prevents meson from using subproject fallbacks for any dependency declarations in the build files, preventing it from downloading any optional dependencies which are not installed on the system.

`-D others=enabled`: Enable the loaders for various image formats, for example BMP and XPM.

`-D man=false`: Use this option if you do not want to generate manual pages, or if you do not want to install docutils-0.21.2.

## Contents

Installed Programs: gdk-pixbuf-csource, gdk-pixbuf-pixdata, gdk-pixbuf-query-loaders, and gdk-pixbuf-thumbnailer
Installed Libraries: libgdk_pixbuf-2.0.so
Installed Directories: /usr/{include,lib}/gdk-pixbuf-2.0, /usr/libexec/installed-tests/gdk-pixbuf, /usr/share/installed-tests/gdk-pixbuf, /usr/share/gtk-doc/html/gdk-pixbuf, and /usr/share/thumbnailers

### Short Descriptions

gdk-pixbuf-csource | is a small utility that generates C code containing images, used for compiling images directly into programs
gdk-pixbuf-pixdata | is a tool used to convert GdkPixbuf to GdkPixdata
gdk-pixbuf-query-loaders | collects information about loadable modules for Gdk Pixbuf and writes it to the default cache file location, or to stdout
gdk-pixbuf-thumbnailer | creates thumbnails of pictures for use in other applications
`libgdk_pixbuf-2.0.so` | contains functions used to load and render images

- Prev

  Freeglut-3.6.0

- Next

  GLEW-2.2.0

- Up
- Home